Bug 66458 - FILEOPEN: DOCX imports 'ptab' as 'tab' instead of its own type
Summary: FILEOPEN: DOCX imports 'ptab' as 'tab' instead of its own type
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords: filter:docx
Depends on:
Blocks: DOCX
  Show dependency treegraph
 
Reported: 2013-07-01 13:35 UTC by Adam CloudOn
Modified: 2022-01-26 14:19 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
very minimal DOCX containing a 'ptab' (10.00 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2013-07-01 13:37 UTC, Adam CloudOn
Details
ooxml tokenizer patch (1.76 KB, patch)
2013-07-03 14:58 UTC, Miklos Vajna
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Adam CloudOn 2013-07-01 13:35:10 UTC
Problem description: 
When Writer imports a DOCX with 'ptab' in it - it imports it as a 'tab' and loses the attributes.

Steps to reproduce:
1. Open the attached DOCX
2. Save as NEW.DOCX
3. 'ptab' is converted to 'tab' in the 'document.xml'

Current behavior:
'ptab' is converted to 'tab'

Expected behavior:
'ptab' should be saved as is
              
Operating System: All
Version: 4.2.0.0.alpha0+ Master
Comment 1 Adam CloudOn 2013-07-01 13:37:30 UTC
Created attachment 81804 [details]
very minimal DOCX containing a 'ptab'

Added a very minimal DOCX containing a 'ptab'
Comment 2 Jorendc 2013-07-01 20:00:47 UTC
New right away. Saw the conversion between you and Miklos :) ...
Comment 3 Miklos Vajna 2013-07-03 14:58:27 UTC
Created attachment 81962 [details]
ooxml tokenizer patch

As discussed on IRC, this patch does the OOXML tokenizer part.
Comment 4 QA Administrators 2015-04-01 14:42:01 UTC Comment hidden (obsolete)
Comment 5 Buovjaga 2015-04-24 11:17:36 UTC
Reproduced, checked in document.xml.

Win 7 Pro 64-bit Version: 5.0.0.0.alpha1+ (x64)
Build ID: f3375fa07f27bd2ade519af3c07d69040d10eaa9
TinderBox: Win-x86_64@42, Branch:master, Time: 2015-04-22_23:38:50
Locale: fi_FI
Comment 6 Xisco Faulí 2016-04-20 13:32:08 UTC
This issue is still reproducible in

Version: 5.2.0.0.alpha0+
Build ID: d6bf3bcd8b51012d55a2ec962800a8549e2b85e1
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2016-04-15_06:45:16
Locale: es-ES (es_ES)
Comment 7 QA Administrators 2017-12-10 16:41:18 UTC Comment hidden (obsolete)
Comment 8 QA Administrators 2019-12-11 03:38:05 UTC Comment hidden (obsolete, spam)
Comment 9 QA Administrators 2021-12-11 04:21:49 UTC
Dear Adam CloudOn,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug